import * as core from "@terrascript/core";

export interface DsIpsetArgs {
  name: string | core.StringOut;
}

export class DsIpset extends core.Data<DsIpsetArgs> {
  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public name!: string | core.StringOut;

  constructor(name: string, args?: DsIpsetArgs) {
    super(name, "aws_wafregional_ipset", args);
  }

  public override getNamespace(): string {
    return "aws_wafregional";
  }
}
